﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication1
{
    /// <summary>
    /// Window3.xaml 的交互逻辑
    /// </summary>
    public partial class Window3 : Window
    {
        ObservableCollection<FLY.ControlLibrary.GraphRangeData> Datas;
        DateTime now;
        Random r = new Random();
        public Window3()
        {
            InitializeComponent();
            Test();
        }
        double[] tarray = new double[]{
520.5527318	,
556.079543	,
575.8350458	,
596.6652508	,
598.6338035	,
586.8538903	,
583.4238333	,
572.9702586	,
576.8874394	,
528.1740611	,
402.2733229	,
274.7403712	,
238.2985564	,
246.2383065	,
247.3007577	,
245.1922691	,
253.0079721	,
272.04651	,
267.7850455	,
281.0767334	,
269.326398	,
250.8635159	,
203.1306929	,
178.1076315	,
165.7845283	,
164.612819	,
163.8451883	,
167.8578479	,
160.6955436	,
140.5021061	,
118.077589	,
116.3912853	,
103.8622314	,
104.5576765	,
98.86376959	,
112.3336	,
112.0078768	,
109.8846497	,
111.882361	,
112.848381	,
109.2117678	,
101.7420468	,
104.416086	,
106.1468745	,
97.10910663	,
94.55154865	,
99.81765335	,
34.12844714	,
47.25744809	,
58.40910749	,
61.87721112	,
72.41515322	,
90.32980707	,
99.01414614	,
92.32614609	,
100.0445865	,
101.3460034	,
98.90711688	,
98.69394005	,
99.72324759	,
115.3134607	,
106.6768014	,
103.0436293	
        };
        void Test() 
        {
            Datas = new ObservableCollection<FLY.ControlLibrary.GraphRangeData>();
            now = DateTime.Now;

            for (int i = 0; i < tarray.Count(); i++) 
            {
                
                now+=TimeSpan.FromSeconds(10);
                Datas.Add(
                    new FLY.ControlLibrary.GraphRangeData()
                    {
                        Avg = 17600 + (int)tarray[i],
                        Sigma = (int)tarray[i],
                        Time = now
                    });
            }
            graphRange1.IsPercent = true;
            graphRange1.Target = 1690;
            graphRange1.Alarm = (int)(0.04 * graphRange1.Target);
            graphRange1.DataSource = Datas;
            graphRange1.IsAutoTarget = true;
        }

        private void button_add_Click(object sender, RoutedEventArgs e)
        {
            Datas.Add(
                    new FLY.ControlLibrary.GraphRangeData()
                    {
                        Avg = 3150 + (int)(r.NextDouble() * 100),
                        Sigma = (int)(r.NextDouble() * 100),
                        Time = now
                    });
        }

        private void button_type_2sigma_Click(object sender, RoutedEventArgs e)
        {
            graphRange1.Type = FLY.ControlLibrary.GraphRangeType.Sigma2;
        }

        private void button_type_avg_Click(object sender, RoutedEventArgs e)
        {
            graphRange1.Type = FLY.ControlLibrary.GraphRangeType.Avg;
        }

        private void button_type_all_Click(object sender, RoutedEventArgs e)
        {
            graphRange1.Type = FLY.ControlLibrary.GraphRangeType.All;
        }
    }
}
