﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.ComponentModel;

namespace WpfApplication1
{
    /// <summary>
    /// Window1.xaml 的交互逻辑
    /// </summary>
    public partial class Window1 : Window, INotifyPropertyChanged
    {
        private bool haveosk = false;
        public bool HaveOSK 
        {
            get { return haveosk; }
            set {
                if (haveosk != value) 
                {
                    haveosk = value;
                    NotifyPropertyChanged("HaveOSK");
                }
            }
        }

        private bool haveosk_mouse = false;
        public bool HaveOSK_mouse
        {
            get { return haveosk_mouse; }
            set
            {
                if (haveosk_mouse != value)
                {
                    haveosk_mouse = value;
                    NotifyPropertyChanged("HaveOSK_mouse");
                }
            }
        }

        private double tiptime=1;
        public double TipTime 
        {
            get { return tiptime; }
            set
            {
                if (tiptime != value)
                {
                    tiptime = value;
                    NotifyPropertyChanged("TipTime");
                }
            }
        }
        public Window1()
        {
            InitializeComponent();
            this.DataContext = this;
            this.PropertyChanged += new PropertyChangedEventHandler(Window1_PropertyChanged);
            FLY.UI.OSK.KeyboardBehavior.Enable = HaveOSK;
            FLY.UI.OSK.KeyboardBehavior.EnableMouseDown = HaveOSK_mouse;
        }

        void Window1_PropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            if (e.PropertyName == "HaveOSK") 
            {
                FLY.UI.OSK.KeyboardBehavior.Enable = HaveOSK;
            }
            else if (e.PropertyName == "HaveOSK_mouse") 
            {
                FLY.UI.OSK.KeyboardBehavior.EnableMouseDown = HaveOSK_mouse;
            }
        }

        private void button_apply_Click(object sender, RoutedEventArgs e)
        {

        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void button_play_Click(object sender, RoutedEventArgs e)
        {

        }

        private void button_opt_Click(object sender, RoutedEventArgs e)
        {

        }

        private void button_open_Click(object sender, RoutedEventArgs e)
        {

        }


        protected void NotifyPropertyChanged(string propertyname) 
        {
            if (PropertyChanged != null) 
            {
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(propertyname));
            }

        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
