﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Forms;
using System.Reflection;
using FLY.FeedbackRenZiJia.Server;
using FLY.FeedbackRenZiJia.Server.OBJProxy;

namespace FLY.FeedbackRenZiJia.UI.Server
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        FLY.AppHelper.WindowNotifyIconHelper notifyiconhelper;
        TDGage mGage;
        OBJProxy mOBJProxy;
        public MainWindow()
        {
            InitializeComponent();

            mGage = new TDGage("Gage1");
            mOBJProxy = new OBJProxy(0, mGage);

            Assembly asm = Assembly.GetExecutingAssembly();
            string version = "v" + asm.GetName().Version.ToString();

            this.Title = "枫莱尔--自动风环服务器" + " " + version;
            notifyiconhelper = new AppHelper.WindowNotifyIconHelper(this, this.Title);

            this.Hide();

            FObjBase.PollModule.Current.Start();
            textBlock1.DataContext = mGage.mfeedback.mHeatBuf.mHistory;
        }
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            mGage.mfeedback.mHeatBuf.mHistory.Flush();
        }
    }
}
