﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        FLY.Simulation.Blowing.Blowing mBlowing;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            FObjBase.PollModule.Current.Start();

            FObjBase.PollModule.Current.Poll_Config(
                FObjBase.PollModule.POLL_CONFIG.ADD,
                new FObjBase.PollModule.PollHandler(OnPoll),
                TimeSpan.FromSeconds(1));

            mBlowing = new FLY.Simulation.Blowing.Blowing();
            this.DataContext = mBlowing.mHMI;
        }
        int number = 0;
        void OnPoll() 
        {
            number++;
            textBlock1.Text = (number).ToString();
        }
    }
}
